Skip to main content

Update Lead: Realpage

PUThttps://api.propexo.com/v1/leads/realpage/:id
InterfaceMethod
Prospect Management ODEUpdateProspect

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The Propexo unique identifier for the lead

Request​

This endpoint expects an object.

    last_namestringrequired

    The last name associated with the lead

    Possible values: <= 30 characters

    first_namestringrequired

    The first name associated with the lead

    Possible values: <= 30 characters

    lead_source_idstring

    The Propexo unique identifier for the lead source

    email_1string<email>

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    idstringrequired

    The Propexo unique identifier for the lead

    last_namestringrequired

    The last name associated with the lead

    Possible values: <= 30 characters

    first_namestringrequired

    The first name associated with the lead

    Possible values: <= 30 characters

    lead_source_idstring

    The Propexo unique identifier for the lead source

    email_1string<email>

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/realpage/:id
curl -X PUT https://api.propexo.com/v1/leads/realpage/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"lead_source_id": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}